<?php 
function financa_cpts() {

/**
 * Post Type: Services.
 */

$labels = array(
    "name"                  => __( "Services", "financa" ),
    "singular_name"         => __( "Service", "financa" ),
    "add_new_item" 			=> __( 'Add Service', 'financa' ),
    "edit_item" 			=> __( 'Edit Service', 'financa' ),
    "new_item" 				=> __( 'New Service', 'financa' ),
    "view_item" 			=> __( 'View Service', 'financa' ),
    "view_items" 			=> __( 'View Services', 'financa' ),
    "search_items" 			=> __( 'Search Service', 'financa' ),
    "not_found" 			=> __( 'No Services Found', 'financa' ),
    "not_found_in_trash" 	=> __( 'No Services Found in Trash', 'financa' ),
    "all_items" 			=> __( 'All Services', 'financa' ),
);

$args = array(
    "label" => __( "Services", "financa" ),
    "labels" => $labels,
    "description" => "",
    "public" => true,
    "publicly_queryable" => true,
    "show_ui" => true,
    "delete_with_user" => false,
    "show_in_rest" => true,
    "rest_base" => "",
    "rest_controller_class" => "WP_REST_Posts_Controller",
    "has_archive" => false,
    "show_in_menu" => true,
    "show_in_nav_menus" => true,
    "exclude_from_search" => false,
    "capability_type" => "post",
    "map_meta_cap" => true,
    "hierarchical" => false,
    "rewrite" => array( "slug" => "service", "with_front" => true ),
    "query_var" => true,
    "supports" => array( "title", "editor", "thumbnail", "excerpt" ),
);

register_post_type( "financa_services", $args );

/**
 * Post Type: Team Members.
 */

$labels = array(
    "name"                  => __( "Team Members", "financa" ),
    "singular_name"         => __( "Team Member", "financa" ),
    "add_new_item" 			=> __( 'Add Team Member', 'financa' ),
    "edit_item" 			=> __( 'Edit Team Member', 'financa' ),
    "new_item" 				=> __( 'New Team Member', 'financa' ),
    "view_item" 			=> __( 'View Team Member', 'financa' ),
    "view_items" 			=> __( 'View Team Members', 'financa' ),
    "search_items" 			=> __( 'Search Team Member', 'financa' ),
    "not_found" 			=> __( 'No Team Members Found', 'financa' ),
    "not_found_in_trash" 	=> __( 'No Team Members Found in Trash', 'financa' ),
    "all_items" 			=> __( 'All Team Members', 'financa' ),
);

$args = array(
    "label" => __( "Team Members", "financa" ),
    "labels" => $labels,
    "description" => "",
    "public" => true,
    "publicly_queryable" => true,
    "show_ui" => true,
    "delete_with_user" => false,
    "show_in_rest" => true,
    "rest_base" => "",
    "rest_controller_class" => "WP_REST_Posts_Controller",
    "has_archive" => false,
    "show_in_menu" => true,
    "show_in_nav_menus" => true,
    "exclude_from_search" => false,
    "capability_type" => "post",
    "map_meta_cap" => true,
    "hierarchical" => false,
    "rewrite" => array( "slug" => "team", "with_front" => true ),
    "query_var" => true,
    "supports" => array( "title", "editor", "thumbnail" ),
);

register_post_type( "financa_team", $args );
}

add_action( 'init', 'financa_cpts' );